Skip to main content
POST
/
v1
/
users
/
{user_id}
/
fiat
/
kyc_link
Get a KYC link for a user
curl --request POST \
  --url https://api.privy.io/v1/users/{user_id}/fiat/kyc_link \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'privy-app-id: <privy-app-id>' \
  --data '
{
  "provider": "bridge",
  "email": "[email protected]",
  "full_name": "<string>",
  "type": "individual",
  "endorsements": [
    "sepa"
  ],
  "redirect_uri": "<string>"
}
'
{
  "id": "<string>",
  "customer_id": "<string>",
  "full_name": "<string>",
  "email": "<string>",
  "kyc_link": "<string>",
  "kyc_status": "not_started",
  "rejection_reasons": [
    {
      "developer_reason": "<string>",
      "reason": "<string>",
      "created_at": "<string>"
    }
  ],
  "tos_link": "<string>",
  "tos_status": "pending",
  "created_at": "<string>",
  "persona_inquiry_type": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

user_id
string
required

The ID of the user

Body

application/json
provider
enum<string>
required

Valid set of onramp providers

Available options:
bridge,
bridge-sandbox
Example:

"bridge"

email
string<email>
required
full_name
string
type
enum<string>
Available options:
individual,
business
endorsements
enum<string>[]
Available options:
sepa
redirect_uri
string

Response

200 - application/json

KYC link for the user

id
string
required
customer_id
string
required
full_name
string
required
email
string
required
kyc_status
enum<string>
required
Available options:
not_started,
pending,
incomplete,
awaiting_ubo,
manual_review,
under_review,
approved,
rejected
rejection_reasons
object[]
required
tos_status
enum<string>
required
Available options:
pending,
approved
created_at
string
required
persona_inquiry_type
string